import { OnInit, OnChanges, ElementRef, EventEmitter } from '@angular/core';
import { Router } from '@angular/router';
import { ButtonsSettings } from './buttons.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class ButtonComponent implements OnInit, OnChanges {
    private el;
    private router;
    private overwriteService;
    settings: ButtonsSettings;
    disabled: boolean;
    clicked: EventEmitter<any>;
    protected defaultSettings: ButtonsSettings;
    constructor(el: ElementRef, router: Router, overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    readonly isOutline: string;
    onClick(event: any): void;
    isRightPlacement(): boolean;
    isLeftPlacement(): boolean;
}
