import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { CheckboxSettings } from './checkbox.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare const FOX_CHECKBOX_CONTROL_VALUE_ACCESSOR: any;
export declare class CheckboxComponent implements OnInit, OnChanges, ControlValueAccessor {
    private overwriteService;
    settings: CheckboxSettings;
    disabled: boolean;
    name: string;
    label: string;
    currentValue: any;
    changed: EventEmitter<any>;
    clicked: EventEmitter<any>;
    checked: boolean;
    protected innerValue: any;
    protected defaultSettings: CheckboxSettings;
    private onTouchedCallback;
    private onChangeCallback;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    onClick(event: any): void;
    onChange(event: any): void;
    updateValue(): void;
    isChecked(): boolean;
    private findIndex(value);
    value: any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onBlur(): void;
}
