import { OnInit, OnChanges, EventEmitter, ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { CodeareaSettings } from './codearea.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare const FOX_TEXTAREA_CONTROL_VALUE_ACCESSOR: any;
export declare class CodeareaComponent implements OnInit, OnChanges, ControlValueAccessor {
    private overwriteService;
    settings: CodeareaSettings;
    name: string;
    disabled: boolean;
    clicked: EventEmitter<any>;
    changed: EventEmitter<any>;
    focused: EventEmitter<any>;
    blured: EventEmitter<any>;
    areaInstance: any;
    codeareaEl: ElementRef;
    protected innerValue: string;
    protected onTouchedCallback: () => void;
    protected onChangeCallback: (_: any) => void;
    protected defaultSettings: CodeareaSettings;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    codeMirrorInit(): void;
    onBlur(event: any): void;
    onClick(event: any): void;
    onChange(event: any): void;
    updateData(data: string): void;
    value: any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
