"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var common_1 = require("@angular/common");
var datagrid_component_1 = require("./datagrid.component");
var datagrid_filter_component_1 = require("./datagrid-filter.component");
var datagrid_sort_component_1 = require("./datagrid-sort.component");
var buttons_module_1 = require("../buttons/buttons.module");
var dropdown_module_1 = require("../dropdown/dropdown.module");
var popover_module_1 = require("../popover/popover.module");
var tooltip_module_1 = require("../tooltip/tooltip.module");
var select_module_1 = require("../select/select.module");
var input_module_1 = require("../input/input.module");
var checkbox_module_1 = require("../checkbox/checkbox.module");
var spinner_module_1 = require("../spinner/spinner.module");
var datepicker_module_1 = require("../datepicker/datepicker.module");
var switcher_module_1 = require("../switcher/switcher.module");
var pagination_module_1 = require("../pagination/pagination.module");
var pipes_module_1 = require("../../shared/pipes/pipes.module");
var helper_service_1 = require("../../shared/services/helper.service");
var datagrid_component_2 = require("./datagrid.component");
exports.DatagridComponent = datagrid_component_2.DatagridComponent;
var datagrid_filter_component_2 = require("./datagrid-filter.component");
exports.DatagridFilterComponent = datagrid_filter_component_2.DatagridFilterComponent;
var datagrid_sort_component_2 = require("./datagrid-sort.component");
exports.DatagridSortComponent = datagrid_sort_component_2.DatagridSortComponent;
var COMPONENTS = [
    datagrid_component_1.DatagridComponent,
    datagrid_filter_component_1.DatagridFilterComponent,
    datagrid_sort_component_1.DatagridSortComponent
];
var DatagridModule = DatagridModule_1 = (function () {
    function DatagridModule() {
    }
    DatagridModule.forRoot = function () { return { ngModule: DatagridModule_1, providers: [] }; };
    return DatagridModule;
}());
DatagridModule = DatagridModule_1 = __decorate([
    core_1.NgModule({
        imports: [
            common_1.CommonModule,
            forms_1.FormsModule,
            buttons_module_1.ButtonsModule,
            dropdown_module_1.DropdownModule,
            popover_module_1.PopoverModule,
            tooltip_module_1.TooltipModule,
            select_module_1.SelectModule,
            pagination_module_1.PaginationModule,
            checkbox_module_1.CheckboxModule,
            spinner_module_1.SpinnerModule,
            datepicker_module_1.DatepickerModule,
            switcher_module_1.SwitcherModule,
            input_module_1.InputModule,
            pipes_module_1.PipesModule
        ],
        declarations: COMPONENTS,
        exports: COMPONENTS,
        providers: [
            helper_service_1.HelperService
        ]
    })
], DatagridModule);
exports.DatagridModule = DatagridModule;
var DatagridModule_1;
//# sourceMappingURL=datagrid.module.js.map