import { OnInit, OnChanges, EventEmitter, QueryList, ElementRef } from '@angular/core';
import { DropdownItemComponent } from './dropdown-item.component';
import { DropdownSettings } from './dropdown.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class DropdownComponent implements OnInit, OnChanges {
    private el;
    private overwriteService;
    settings: DropdownSettings;
    disabled: boolean;
    submited: EventEmitter<any>;
    showed: EventEmitter<any>;
    outsideClick: EventEmitter<any>;
    items: QueryList<DropdownItemComponent>;
    dropped: boolean;
    protected defaultSettings: DropdownSettings;
    constructor(el: ElementRef, overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    onClickOutside(event: any, targetElement: HTMLElement): void;
    show(event: any): void;
    onSubmit(event: any): void;
}
