import { ModuleWithProviders } from '@angular/core';
export { ButtonsModule } from './buttons/buttons.module';
export { InputModule } from './input/input.module';
export { TextareaModule } from './textarea/textarea.module';
export { AlertModule } from './alert/alert.module';
export { DropdownModule } from './dropdown/dropdown.module';
export { TabModule } from './tab/tab.module';
export { AccordionModule } from './accordion/accordion.module';
export { CheckboxModule } from './checkbox/checkbox.module';
export { RadioModule } from './radio/radio.module';
export { SelectModule } from './select/select.module';
export { PopoverModule } from './popover/popover.module';
export { TooltipModule } from './tooltip/tooltip.module';
export { SpinnerModule } from './spinner/spinner.module';
export { ModalModule } from './modal/modal.module';
export { SwitcherModule } from './switcher/switcher.module';
export { SliderModule } from './slider/slider.module';
export { PanelModule } from './panel/panel.module';
export { ProgressModule } from './progress/progress.module';
export { BreadcrumbModule } from './breadcrumb/breadcrumb.module';
export { PaginationModule } from './pagination/pagination.module';
export { MultiselectModule } from './multiselect/multiselect.module';
export { DatepickerModule } from './datepicker/datepicker.module';
export { ColorpickerModule } from './colorpicker/colorpicker.module';
export { FileuploaderModule } from './fileuploader/fileuploader.module';
export { SliderevealModule } from './slidereveal/slidereveal.module';
export { TagModule } from './tag/tag.module';
export { RatingModule } from './rating/rating.module';
export { EditorModule } from './editor/editor.module';
export { FieldsetModule } from './fieldset/fieldset.module';
export { TieredmenuModule } from './tieredmenu/tieredmenu.module';
export { SlidemenuModule } from './slidemenu/slidemenu.module';
export { PanelmenuModule } from './panelmenu/panelmenu.module';
export { NotifyModule, NotifyService } from './notify/notify.module';
export { HighlightModule } from './highlight/highlight.module';
export { NavbarModule } from './navbar/navbar.module';
export { DatagridModule } from './datagrid/datagrid.module';
export { ScrollbarModule } from './scrollbar/scrollbar.module';
export { ValidateModule, ValidateService } from './validate/validate.module';
export { PasswordModule } from './password/password.module';
export { TypeaheadModule } from './typeahead/typeahead.module';
export { CodeareaModule } from './codearea/codearea.module';
export { OverwriteService } from './../shared/services/overwrite.service';
export { HelperService } from './../shared/services/helper.service';
export { DomService } from './../shared/services/dom.service';
export declare class FoxRootModule {
}
export declare class FoxModule {
    static forRoot(): ModuleWithProviders;
}
