"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var buttons_module_1 = require("./buttons/buttons.module");
var input_module_1 = require("./input/input.module");
var textarea_module_1 = require("./textarea/textarea.module");
var alert_module_1 = require("./alert/alert.module");
var dropdown_module_1 = require("./dropdown/dropdown.module");
var tab_module_1 = require("./tab/tab.module");
var accordion_module_1 = require("./accordion/accordion.module");
var checkbox_module_1 = require("./checkbox/checkbox.module");
var radio_module_1 = require("./radio/radio.module");
var select_module_1 = require("./select/select.module");
var popover_module_1 = require("./popover/popover.module");
var tooltip_module_1 = require("./tooltip/tooltip.module");
var spinner_module_1 = require("./spinner/spinner.module");
var modal_module_1 = require("./modal/modal.module");
var switcher_module_1 = require("./switcher/switcher.module");
var slider_module_1 = require("./slider/slider.module");
var panel_module_1 = require("./panel/panel.module");
var progress_module_1 = require("./progress/progress.module");
var breadcrumb_module_1 = require("./breadcrumb/breadcrumb.module");
var pagination_module_1 = require("./pagination/pagination.module");
var multiselect_module_1 = require("./multiselect/multiselect.module");
var datepicker_module_1 = require("./datepicker/datepicker.module");
var colorpicker_module_1 = require("./colorpicker/colorpicker.module");
var fileuploader_module_1 = require("./fileuploader/fileuploader.module");
var slidereveal_module_1 = require("./slidereveal/slidereveal.module");
var tag_module_1 = require("./tag/tag.module");
var rating_module_1 = require("./rating/rating.module");
var editor_module_1 = require("./editor/editor.module");
var fieldset_module_1 = require("./fieldset/fieldset.module");
var tieredmenu_module_1 = require("./tieredmenu/tieredmenu.module");
var slidemenu_module_1 = require("./slidemenu/slidemenu.module");
var panelmenu_module_1 = require("./panelmenu/panelmenu.module");
var notify_module_1 = require("./notify/notify.module");
var highlight_module_1 = require("./highlight/highlight.module");
var navbar_module_1 = require("./navbar/navbar.module");
var datagrid_module_1 = require("./datagrid/datagrid.module");
var scrollbar_module_1 = require("./scrollbar/scrollbar.module");
var validate_module_1 = require("./validate/validate.module");
var password_module_1 = require("./password/password.module");
var typeahead_module_1 = require("./typeahead/typeahead.module");
var codearea_module_1 = require("./codearea/codearea.module");
var overwrite_service_1 = require("./../shared/services/overwrite.service");
var helper_service_1 = require("./../shared/services/helper.service");
var dom_service_1 = require("./../shared/services/dom.service");
var buttons_module_2 = require("./buttons/buttons.module");
exports.ButtonsModule = buttons_module_2.ButtonsModule;
var input_module_2 = require("./input/input.module");
exports.InputModule = input_module_2.InputModule;
var textarea_module_2 = require("./textarea/textarea.module");
exports.TextareaModule = textarea_module_2.TextareaModule;
var alert_module_2 = require("./alert/alert.module");
exports.AlertModule = alert_module_2.AlertModule;
var dropdown_module_2 = require("./dropdown/dropdown.module");
exports.DropdownModule = dropdown_module_2.DropdownModule;
var tab_module_2 = require("./tab/tab.module");
exports.TabModule = tab_module_2.TabModule;
var accordion_module_2 = require("./accordion/accordion.module");
exports.AccordionModule = accordion_module_2.AccordionModule;
var checkbox_module_2 = require("./checkbox/checkbox.module");
exports.CheckboxModule = checkbox_module_2.CheckboxModule;
var radio_module_2 = require("./radio/radio.module");
exports.RadioModule = radio_module_2.RadioModule;
var select_module_2 = require("./select/select.module");
exports.SelectModule = select_module_2.SelectModule;
var popover_module_2 = require("./popover/popover.module");
exports.PopoverModule = popover_module_2.PopoverModule;
var tooltip_module_2 = require("./tooltip/tooltip.module");
exports.TooltipModule = tooltip_module_2.TooltipModule;
var spinner_module_2 = require("./spinner/spinner.module");
exports.SpinnerModule = spinner_module_2.SpinnerModule;
var modal_module_2 = require("./modal/modal.module");
exports.ModalModule = modal_module_2.ModalModule;
var switcher_module_2 = require("./switcher/switcher.module");
exports.SwitcherModule = switcher_module_2.SwitcherModule;
var slider_module_2 = require("./slider/slider.module");
exports.SliderModule = slider_module_2.SliderModule;
var panel_module_2 = require("./panel/panel.module");
exports.PanelModule = panel_module_2.PanelModule;
var progress_module_2 = require("./progress/progress.module");
exports.ProgressModule = progress_module_2.ProgressModule;
var breadcrumb_module_2 = require("./breadcrumb/breadcrumb.module");
exports.BreadcrumbModule = breadcrumb_module_2.BreadcrumbModule;
var pagination_module_2 = require("./pagination/pagination.module");
exports.PaginationModule = pagination_module_2.PaginationModule;
var multiselect_module_2 = require("./multiselect/multiselect.module");
exports.MultiselectModule = multiselect_module_2.MultiselectModule;
var datepicker_module_2 = require("./datepicker/datepicker.module");
exports.DatepickerModule = datepicker_module_2.DatepickerModule;
var colorpicker_module_2 = require("./colorpicker/colorpicker.module");
exports.ColorpickerModule = colorpicker_module_2.ColorpickerModule;
var fileuploader_module_2 = require("./fileuploader/fileuploader.module");
exports.FileuploaderModule = fileuploader_module_2.FileuploaderModule;
var slidereveal_module_2 = require("./slidereveal/slidereveal.module");
exports.SliderevealModule = slidereveal_module_2.SliderevealModule;
var tag_module_2 = require("./tag/tag.module");
exports.TagModule = tag_module_2.TagModule;
var rating_module_2 = require("./rating/rating.module");
exports.RatingModule = rating_module_2.RatingModule;
var editor_module_2 = require("./editor/editor.module");
exports.EditorModule = editor_module_2.EditorModule;
var fieldset_module_2 = require("./fieldset/fieldset.module");
exports.FieldsetModule = fieldset_module_2.FieldsetModule;
var tieredmenu_module_2 = require("./tieredmenu/tieredmenu.module");
exports.TieredmenuModule = tieredmenu_module_2.TieredmenuModule;
var slidemenu_module_2 = require("./slidemenu/slidemenu.module");
exports.SlidemenuModule = slidemenu_module_2.SlidemenuModule;
var panelmenu_module_2 = require("./panelmenu/panelmenu.module");
exports.PanelmenuModule = panelmenu_module_2.PanelmenuModule;
var notify_module_2 = require("./notify/notify.module");
exports.NotifyModule = notify_module_2.NotifyModule;
exports.NotifyService = notify_module_2.NotifyService;
var highlight_module_2 = require("./highlight/highlight.module");
exports.HighlightModule = highlight_module_2.HighlightModule;
var navbar_module_2 = require("./navbar/navbar.module");
exports.NavbarModule = navbar_module_2.NavbarModule;
var datagrid_module_2 = require("./datagrid/datagrid.module");
exports.DatagridModule = datagrid_module_2.DatagridModule;
var scrollbar_module_2 = require("./scrollbar/scrollbar.module");
exports.ScrollbarModule = scrollbar_module_2.ScrollbarModule;
var validate_module_2 = require("./validate/validate.module");
exports.ValidateModule = validate_module_2.ValidateModule;
exports.ValidateService = validate_module_2.ValidateService;
var password_module_2 = require("./password/password.module");
exports.PasswordModule = password_module_2.PasswordModule;
var typeahead_module_2 = require("./typeahead/typeahead.module");
exports.TypeaheadModule = typeahead_module_2.TypeaheadModule;
var codearea_module_2 = require("./codearea/codearea.module");
exports.CodeareaModule = codearea_module_2.CodeareaModule;
var overwrite_service_2 = require("./../shared/services/overwrite.service");
exports.OverwriteService = overwrite_service_2.OverwriteService;
var helper_service_2 = require("./../shared/services/helper.service");
exports.HelperService = helper_service_2.HelperService;
var dom_service_2 = require("./../shared/services/dom.service");
exports.DomService = dom_service_2.DomService;
var SERVICES = [
    overwrite_service_1.OverwriteService,
    helper_service_1.HelperService,
    dom_service_1.DomService
];
var COMPONENTS_MODULES = [
    buttons_module_1.ButtonsModule,
    input_module_1.InputModule,
    textarea_module_1.TextareaModule,
    alert_module_1.AlertModule,
    dropdown_module_1.DropdownModule,
    tab_module_1.TabModule,
    accordion_module_1.AccordionModule,
    checkbox_module_1.CheckboxModule,
    radio_module_1.RadioModule,
    select_module_1.SelectModule,
    popover_module_1.PopoverModule,
    tooltip_module_1.TooltipModule,
    spinner_module_1.SpinnerModule,
    modal_module_1.ModalModule,
    switcher_module_1.SwitcherModule,
    slider_module_1.SliderModule,
    panel_module_1.PanelModule,
    progress_module_1.ProgressModule,
    breadcrumb_module_1.BreadcrumbModule,
    pagination_module_1.PaginationModule,
    multiselect_module_1.MultiselectModule,
    datepicker_module_1.DatepickerModule,
    colorpicker_module_1.ColorpickerModule,
    fileuploader_module_1.FileuploaderModule,
    slidereveal_module_1.SliderevealModule,
    tag_module_1.TagModule,
    rating_module_1.RatingModule,
    editor_module_1.EditorModule,
    fieldset_module_1.FieldsetModule,
    tieredmenu_module_1.TieredmenuModule,
    slidemenu_module_1.SlidemenuModule,
    panelmenu_module_1.PanelmenuModule,
    notify_module_1.NotifyModule,
    highlight_module_1.HighlightModule,
    navbar_module_1.NavbarModule,
    datagrid_module_1.DatagridModule,
    scrollbar_module_1.ScrollbarModule,
    validate_module_1.ValidateModule,
    password_module_1.PasswordModule,
    typeahead_module_1.TypeaheadModule,
    codearea_module_1.CodeareaModule
];
var FoxRootModule = (function () {
    function FoxRootModule() {
    }
    return FoxRootModule;
}());
FoxRootModule = __decorate([
    core_1.NgModule({
        imports: [
            buttons_module_1.ButtonsModule.forRoot(),
            input_module_1.InputModule.forRoot(),
            textarea_module_1.TextareaModule.forRoot(),
            alert_module_1.AlertModule.forRoot(),
            dropdown_module_1.DropdownModule.forRoot(),
            tab_module_1.TabModule.forRoot(),
            accordion_module_1.AccordionModule.forRoot(),
            checkbox_module_1.CheckboxModule.forRoot(),
            radio_module_1.RadioModule.forRoot(),
            select_module_1.SelectModule.forRoot(),
            popover_module_1.PopoverModule.forRoot(),
            tooltip_module_1.TooltipModule.forRoot(),
            spinner_module_1.SpinnerModule.forRoot(),
            modal_module_1.ModalModule.forRoot(),
            switcher_module_1.SwitcherModule.forRoot(),
            slider_module_1.SliderModule.forRoot(),
            panel_module_1.PanelModule.forRoot(),
            progress_module_1.ProgressModule.forRoot(),
            breadcrumb_module_1.BreadcrumbModule.forRoot(),
            pagination_module_1.PaginationModule.forRoot(),
            multiselect_module_1.MultiselectModule.forRoot(),
            datepicker_module_1.DatepickerModule.forRoot(),
            colorpicker_module_1.ColorpickerModule.forRoot(),
            fileuploader_module_1.FileuploaderModule.forRoot(),
            slidereveal_module_1.SliderevealModule.forRoot(),
            tag_module_1.TagModule.forRoot(),
            rating_module_1.RatingModule.forRoot(),
            editor_module_1.EditorModule.forRoot(),
            fieldset_module_1.FieldsetModule.forRoot(),
            tieredmenu_module_1.TieredmenuModule.forRoot(),
            slidemenu_module_1.SlidemenuModule.forRoot(),
            panelmenu_module_1.PanelmenuModule.forRoot(),
            notify_module_1.NotifyModule.forRoot(),
            highlight_module_1.HighlightModule.forRoot(),
            navbar_module_1.NavbarModule.forRoot(),
            datagrid_module_1.DatagridModule.forRoot(),
            scrollbar_module_1.ScrollbarModule.forRoot(),
            validate_module_1.ValidateModule.forRoot(),
            password_module_1.PasswordModule.forRoot(),
            typeahead_module_1.TypeaheadModule.forRoot(),
            codearea_module_1.CodeareaModule.forRoot()
        ],
        exports: COMPONENTS_MODULES
    })
], FoxRootModule);
exports.FoxRootModule = FoxRootModule;
var FoxModule = (function () {
    function FoxModule() {
    }
    FoxModule.forRoot = function () { return { ngModule: FoxRootModule, providers: [SERVICES] }; };
    return FoxModule;
}());
FoxModule = __decorate([
    core_1.NgModule({
        exports: COMPONENTS_MODULES,
        imports: COMPONENTS_MODULES,
    })
], FoxModule);
exports.FoxModule = FoxModule;
//# sourceMappingURL=fox.module.js.map