"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var common_1 = require("@angular/common");
var multiselect_component_1 = require("./multiselect.component");
var multiselect_search_pipe_1 = require("./multiselect-search.pipe");
var checkbox_module_1 = require("../checkbox/checkbox.module");
var radio_module_1 = require("../radio/radio.module");
var helper_service_1 = require("../../shared/services/helper.service");
var multiselect_component_2 = require("./multiselect.component");
exports.MultiselectComponent = multiselect_component_2.MultiselectComponent;
var multiselect_search_pipe_2 = require("./multiselect-search.pipe");
exports.MultiselectSearchPipe = multiselect_search_pipe_2.MultiselectSearchPipe;
var COMPONENTS = [
    multiselect_component_1.MultiselectComponent,
    multiselect_search_pipe_1.MultiselectSearchPipe
];
var MultiselectModule = MultiselectModule_1 = (function () {
    function MultiselectModule() {
    }
    MultiselectModule.forRoot = function () { return { ngModule: MultiselectModule_1, providers: [] }; };
    return MultiselectModule;
}());
MultiselectModule = MultiselectModule_1 = __decorate([
    core_1.NgModule({
        imports: [
            common_1.CommonModule,
            forms_1.FormsModule,
            checkbox_module_1.CheckboxModule,
            radio_module_1.RadioModule
        ],
        declarations: COMPONENTS,
        exports: COMPONENTS,
        providers: [
            helper_service_1.HelperService
        ]
    })
], MultiselectModule);
exports.MultiselectModule = MultiselectModule;
var MultiselectModule_1;
//# sourceMappingURL=multiselect.module.js.map