import { OnDestroy, OnInit, EventEmitter } from '@angular/core';
import { NotifyItem, NotifyItemSettings } from './notify.model';
import { NotifyService } from './notify.service';
export declare class NotifyItemComponent implements OnInit, OnDestroy {
    private notifyService;
    item: NotifyItem;
    settings: NotifyItemSettings;
    maxItems: number;
    closeble: boolean;
    duration: number;
    stopOnHover: boolean;
    index: number;
    created: EventEmitter<any>;
    deleted: EventEmitter<any>;
    private speed;
    private timer;
    constructor(notifyService: NotifyService);
    ngOnInit(): void;
    close(event: any, item: NotifyItem): void;
    startDuration(): void;
    ngOnDestroy(): void;
}
