import { OnDestroy, OnInit, OnChanges, EventEmitter, ElementRef } from '@angular/core';
import { NotifySettings, NotifyItem } from './notify.model';
import { NotifyService } from './notify.service';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class NotifyComponent implements OnInit, OnChanges, OnDestroy {
    private el;
    private notifyService;
    private overwriteService;
    settings: NotifySettings;
    created: EventEmitter<any>;
    deleted: EventEmitter<any>;
    notifies: Array<NotifyItem>;
    private listener;
    private latestNotify;
    protected defaultSettings: NotifySettings;
    constructor(el: ElementRef, notifyService: NotifyService, overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    create(item: NotifyItem): void;
    removeAll(): void;
    removeOne(id: string): void;
    getPositionClass(): string;
    ngOnDestroy(): void;
}
