import { AfterViewInit, OnInit, OnChanges, ElementRef } from '@angular/core';
import { PanelSettings } from './panel.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class PanelComponent implements OnInit, OnChanges, AfterViewInit {
    private overwriteService;
    settings: PanelSettings;
    panelHeader: ElementRef;
    panelBody: ElementRef;
    panelFooter: ElementRef;
    protected defaultSettings: PanelSettings;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
}
