import { OnInit, OnChanges, EventEmitter, ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { PasswordSettings, PasswordLangs } from './password.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare const FOX_PASSWORD_CONTROL_VALUE_ACCESSOR: any;
export declare class PasswordComponent implements OnInit, OnChanges, ControlValueAccessor {
    private overwriteService;
    settings: PasswordSettings;
    langs: PasswordLangs;
    name: string;
    placeholder: string;
    disabled: boolean;
    changed: EventEmitter<any>;
    clicked: EventEmitter<any>;
    generated: EventEmitter<any>;
    passwordInput: ElementRef;
    showPassword: boolean;
    strongAvailable: number;
    strongValue: number;
    protected innerValue: any;
    protected onTouchedCallback: () => void;
    protected onChangeCallback: (_: any) => void;
    protected defaultSettings: PasswordSettings;
    protected defaultLangs: PasswordLangs;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    strong(password: any): void;
    strongLevelClass(level: number): string;
    generatePassword(): void;
    displayPassword(): void;
    onBlur(event: any): void;
    onClick(event: any): void;
    onChange(event: any): void;
    numberReturn(length: number): Array<number>;
    value: any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
