import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { RadioSettings } from './radio.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare const FOX_RADIO_CONTROL_VALUE_ACCESSOR: any;
export declare class RadioComponent implements OnInit, OnChanges, ControlValueAccessor {
    private overwriteService;
    settings: RadioSettings;
    disabled: boolean;
    name: string;
    label: string;
    currentValue: any;
    changed: EventEmitter<any>;
    clicked: EventEmitter<any>;
    checked: boolean;
    protected innerValue: any;
    protected defaultSettings: RadioSettings;
    protected onTouchedCallback: () => void;
    protected onChangeCallback: (_: any) => void;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    onClick(event: any): void;
    onChange(event: any): void;
    onBlur(): void;
    value: any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
