import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SelectSettings } from './select.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare const FOX_SELECT_CONTROL_VALUE_ACCESSOR: any;
export declare class SelectComponent implements OnInit, OnChanges, ControlValueAccessor {
    private overwriteService;
    settings: SelectSettings;
    name: string;
    disabled: boolean;
    options: Array<any>;
    changed: EventEmitter<any>;
    clicked: EventEmitter<any>;
    protected defaultSettings: SelectSettings;
    protected innerValue: any;
    protected onTouchedCallback: () => void;
    protected onChangeCallback: (_: any) => void;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    onBlur(event: any): void;
    onClick(event: any): void;
    onChange(event: any): void;
    value: any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
