import { OnInit, OnChanges, AfterContentInit, EventEmitter, ElementRef } from '@angular/core';
import { SliderevealSettings, SliderevealLangs } from './slidereveal.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class SliderevealComponent implements OnInit, OnChanges, AfterContentInit {
    private el;
    private overwriteService;
    settings: SliderevealSettings;
    langs: SliderevealLangs;
    disabled: boolean;
    closed: EventEmitter<any>;
    showed: EventEmitter<any>;
    outsideClick: EventEmitter<any>;
    slider: ElementRef;
    protected defaultSettings: SliderevealSettings;
    protected defaultLangs: SliderevealLangs;
    protected dropped: boolean;
    protected bodyEl: any;
    protected sliderEl: any;
    protected bodyClass: string;
    constructor(el: ElementRef, overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    ngAfterContentInit(): void;
    onClickOutside(event: any, targetElement: HTMLElement): void;
    toggle(event: any): void;
    close(): void;
    open(): void;
    init(): void;
}
