import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SpinnerSettings } from './spinner.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare const FOX_SPINNER_CONTROL_VALUE_ACCESSOR: any;
export declare class SpinnerComponent implements OnInit, OnChanges, ControlValueAccessor {
    private overwriteService;
    settings: SpinnerSettings;
    name: string;
    disabled: boolean;
    changed: EventEmitter<any>;
    clicked: EventEmitter<any>;
    protected innerValue: number;
    protected onTouchedCallback: () => void;
    protected onChangeCallback: (_: any) => void;
    protected defaultSettings: SpinnerSettings;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    onBlur(event: any): void;
    onClick(event: any): void;
    onChange(event: any): void;
    value: any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    forceStep(value: number): any;
    increment(event: void): void;
    decrement(event: any): void;
}
