import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SwitcherSettings, SwitcherLangs } from './switcher.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare const FOX_SWITCHER_CONTROL_VALUE_ACCESSOR: any;
export declare class SwitcherComponent implements OnInit, OnChanges, ControlValueAccessor {
    private overwriteService;
    settings: SwitcherSettings;
    langs: SwitcherLangs;
    name: string;
    disabled: boolean;
    changed: EventEmitter<any>;
    clicked: EventEmitter<any>;
    protected innerValue: any;
    protected onTouchedCallback: () => void;
    protected onChangeCallback: (_: any) => void;
    protected defaultSettings: SwitcherSettings;
    protected defaultLangs: SwitcherLangs;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    onBlur(event: any): void;
    onClick(event: any): void;
    onChange(event: any): void;
    toggle(): void;
    value: any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
