import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { TextareaSettings } from './textarea.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare const FOX_TEXTAREA_CONTROL_VALUE_ACCESSOR: any;
export declare class TextareaComponent implements OnInit, OnChanges, ControlValueAccessor {
    private overwriteService;
    settings: TextareaSettings;
    name: string;
    placeholder: string;
    disabled: boolean;
    changed: EventEmitter<any>;
    clicked: EventEmitter<any>;
    protected innerValue: any;
    protected onTouchedCallback: () => void;
    protected onChangeCallback: (_: any) => void;
    protected defaultSettings: TextareaSettings;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    onBlur(event: any): void;
    onClick(event: any): void;
    onChange(event: any): void;
    value: any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
