import { OnInit, OnChanges, EventEmitter, ElementRef, ViewContainerRef, ComponentFactoryResolver } from '@angular/core';
import { TooltipSettings } from './tooltip.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class TooltipDirective implements OnInit, OnChanges {
    private viewContainerRef;
    private componentFactoryResolver;
    private el;
    private overwriteService;
    settings: TooltipSettings;
    showed: EventEmitter<any>;
    hided: EventEmitter<any>;
    protected dropped: boolean;
    protected defaultSettings: TooltipSettings;
    private componentRef;
    constructor(viewContainerRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver, el: ElementRef, overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    show(event: any): void;
    hide(event: any): void;
}
