"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var tooltip_directive_1 = require("./tooltip.directive");
var tooltip_container_component_1 = require("./tooltip-container.component");
var dom_service_1 = require("../../shared/services/dom.service");
var tooltip_directive_2 = require("./tooltip.directive");
exports.TooltipDirective = tooltip_directive_2.TooltipDirective;
var tooltip_container_component_2 = require("./tooltip-container.component");
exports.TooltipContainerComponent = tooltip_container_component_2.TooltipContainerComponent;
var COMPONENTS = [
    tooltip_directive_1.TooltipDirective,
    tooltip_container_component_1.TooltipContainerComponent
];
var TooltipModule = TooltipModule_1 = (function () {
    function TooltipModule() {
    }
    TooltipModule.forRoot = function () { return { ngModule: TooltipModule_1, providers: [] }; };
    return TooltipModule;
}());
TooltipModule = TooltipModule_1 = __decorate([
    core_1.NgModule({
        imports: [
            common_1.CommonModule
        ],
        entryComponents: [
            tooltip_container_component_1.TooltipContainerComponent
        ],
        declarations: COMPONENTS,
        exports: COMPONENTS,
        providers: [
            dom_service_1.DomService
        ]
    })
], TooltipModule);
exports.TooltipModule = TooltipModule;
var TooltipModule_1;
//# sourceMappingURL=tooltip.module.js.map