import { OnInit, OnChanges, EventEmitter, ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { TypeaheadSettings, TypeaheadLangs, LazyloadEvent } from './typeahead.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare const FOX_TYPEAHEAD_CONTROL_VALUE_ACCESSOR: any;
export declare class TypeaheadComponent implements OnInit, OnChanges, ControlValueAccessor {
    private el;
    private overwriteService;
    settings: TypeaheadSettings;
    langs: TypeaheadLangs;
    name: string;
    placeholder: string;
    disabled: boolean;
    changed: EventEmitter<any>;
    clicked: EventEmitter<any>;
    selected: EventEmitter<any>;
    lazyLoad: EventEmitter<any>;
    isHidden: boolean;
    searchText: string;
    protected _list: Array<any>;
    protected innerValue: any;
    protected onTouchedCallback: () => void;
    protected onChangeCallback: (_: any) => void;
    protected defaultSettings: TypeaheadSettings;
    protected defaultLangs: TypeaheadLangs;
    protected isPreloaded: boolean;
    constructor(el: ElementRef, overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    onClickOutside(event: any, targetElement: HTMLElement): void;
    onAutocompleteItem(item: any): void;
    onBlur(event: any): void;
    onClick(event: any): void;
    onChange(event: any): void;
    onTyping(): void;
    findItemByValue(value: any): any;
    titleByObject(value: any): string;
    createLazyLoadData(): LazyloadEvent;
    fireLazyLoadEvent(): void;
    startPreloader(): void;
    stopPreloader(): void;
    list: any;
    searchInput: any;
    value: any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
