import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { AlertSettings } from './alert.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class AlertComponent implements OnInit, OnChanges {
    private overwriteService;
    settings: AlertSettings;
    closed: EventEmitter<any>;
    isClosed: boolean;
    protected defaultSettings: AlertSettings;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    onClose(event: any): void;
}
