import { OnInit, OnChanges, ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { EditorSettings, EditorLangs } from './editor.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare const FOX_EDITOR_CONTROL_VALUE_ACCESSOR: any;
export declare class EditorComponent implements OnInit, OnChanges, ControlValueAccessor {
    private el;
    private document;
    private overwriteService;
    name: string;
    disabled: boolean;
    settings: EditorSettings;
    langs: EditorLangs;
    area: ElementRef;
    toolbar: ElementRef;
    protected innerValue: any;
    protected defaultSettings: EditorSettings;
    protected defaultLangs: EditorLangs;
    protected onTouchedCallback: () => void;
    protected onChangeCallback: (_: any) => void;
    constructor(el: ElementRef, document: any, overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    command(cmd: string, arg: string): void;
    execute(event: any, cmd: string, arg: string): void;
    cmdState(cmd: string): any;
    cmdValue(cmd: string): any;
    isElement(tag: string): boolean;
    setFontSize(event: any): void;
    getKeyByValue(object: Object, value: any): any;
    setValue(event: any): void;
    value: any;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
