import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { FieldsetSettings } from './fieldset.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class FieldsetComponent implements OnInit, OnChanges {
    private overwriteService;
    settings: FieldsetSettings;
    toggled: EventEmitter<any>;
    isToggled: boolean;
    protected defaultSettings: FieldsetSettings;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    toggle(event: any): void;
}
