import { OnInit, OnChanges, EventEmitter } from '@angular/core';
import { ModalSettings } from './modal.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class ModalComponent implements OnInit, OnChanges {
    private document;
    private overwriteService;
    settings: ModalSettings;
    target: string;
    showed: EventEmitter<any>;
    closed: EventEmitter<any>;
    backdrop: any;
    isShowed: boolean;
    protected defaultSettings: ModalSettings;
    constructor(document: any, overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    onClick(event: any, targetElement: HTMLElement): void;
    show(event: any): void;
    close(event: any): void;
    private createBackdrop();
}
