import { OnInit, OnChanges, ElementRef } from '@angular/core';
import { Router } from '@angular/router';
import { NavbarItem, NavbarSettings } from './navbar.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class NavbarComponent implements OnInit, OnChanges {
    private el;
    router: Router;
    private overwriteService;
    settings: NavbarSettings;
    model: NavbarItem;
    protected defaultSettings: NavbarSettings;
    constructor(el: ElementRef, router: Router, overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    onClickOutside(event: any, targetElement: HTMLElement): void;
    collapseAll(): void;
    enterItem(event: any, item: NavbarItem): void;
    leaveItem(event: any, item: NavbarItem): void;
    clickItem(event: any, item: NavbarItem): void;
    hasChildrens(item: NavbarItem): boolean;
}
