import { EventEmitter } from '@angular/core';
import { NotifyItem, NotifyEvent, NotifyItemSettings } from './notify.model';
export declare class NotifyService {
    private emitter;
    constructor();
    create(notify: NotifyItem): NotifyItem;
    getEmitter(): EventEmitter<NotifyEvent>;
    error(title: string, content: string, settings?: NotifyItemSettings): NotifyItem;
    info(title: string, content: string, settings?: NotifyItemSettings): NotifyItem;
    success(title: string, content: string, settings?: NotifyItemSettings): NotifyItem;
    warning(title: string, content: string, settings?: NotifyItemSettings): NotifyItem;
    message(title: string, content: string, settings?: NotifyItemSettings): NotifyItem;
    remove(notifyId?: string): void;
    removeAll(): void;
}
