import { OnInit, OnChanges, EventEmitter, ElementRef } from '@angular/core';
import { PopoverSettings } from './popover.model';
import { DomService } from '../../shared/services/dom.service';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class PopoverComponent implements OnInit, OnChanges {
    private el;
    private positionService;
    private overwriteService;
    settings: PopoverSettings;
    disabled: boolean;
    showed: EventEmitter<any>;
    outsideClick: EventEmitter<any>;
    dropped: boolean;
    protected templateId: any;
    protected top: string;
    protected left: string;
    protected defaultSettings: PopoverSettings;
    constructor(el: ElementRef, positionService: DomService, overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    onClickOutside(event: MouseEvent, targetElement: HTMLElement): void;
    show(event: any): void;
    private calculatePosition();
}
