import { OnInit, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { RatingSettings, RatingLangs } from './rating.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare const FOX_RATING_CONTROL_VALUE_ACCESSOR: any;
export declare class RatingComponent implements ControlValueAccessor, OnInit {
    private overwriteService;
    name: string;
    disabled: boolean;
    settings: RatingSettings;
    langs: RatingLangs;
    rated: EventEmitter<any>;
    stars: Array<number>;
    hoveredStar: number;
    protected innerValue: number;
    protected selectedStars: Array<number>;
    protected defaultSettings: RatingSettings;
    protected defaultLangs: RatingLangs;
    protected onTouchedCallback: () => void;
    protected onChangeCallback: (_: any) => void;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    rate(event: any, rate: number): void;
    onHover(event: any, rate: number): void;
    onRatingOut(event: any): void;
    calculateWidth(value: number): number;
    detectLevelClass(value: number): string;
    value: number;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
