import { OnInit, OnChanges, ElementRef } from '@angular/core';
import { SlidemenuItem, SlidemenuSettings, SlidemenuLangs } from './slidemenu.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class SlidemenuComponent implements OnInit, OnChanges {
    private overwriteService;
    model: SlidemenuItem;
    settings: SlidemenuSettings;
    langs: SlidemenuLangs;
    slidemenuEl: ElementRef;
    children: any;
    left: number;
    height: number;
    curentItem: SlidemenuItem;
    protected defaultSettings: SlidemenuSettings;
    protected defaultLangs: SlidemenuLangs;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    getWidth(): number;
    goBack(): void;
}
