import { OnChanges, QueryList, AfterContentInit, EventEmitter } from '@angular/core';
import { TabComponent } from './tab.component';
import { TabSettings } from './tab.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class TabSetComponent implements OnChanges, AfterContentInit {
    private overwriteService;
    settings: TabSettings;
    selected: EventEmitter<any>;
    closed: EventEmitter<any>;
    tabs: QueryList<TabComponent>;
    protected defaultSettings: TabSettings;
    constructor(tabs: QueryList<TabComponent>, overwriteService: OverwriteService);
    ngAfterContentInit(): void;
    ngOnChanges(changes: any): void;
    selectedTab(tabs: Array<TabComponent>): TabComponent;
    activeTab(event: any, tab: TabComponent): void;
    closeTab(event: any, tab: TabComponent): void;
}
