import { AfterViewInit, OnInit, ElementRef, EventEmitter } from '@angular/core';
import { TooltipClass } from './tooltip.class';
import { DomService } from '../../shared/services/dom.service';
export declare class TooltipContainerComponent implements OnInit, AfterViewInit {
    private el;
    private positionService;
    close: EventEmitter<any>;
    top: string;
    left: string;
    settings: TooltipClass;
    constructor(el: ElementRef, settings: TooltipClass, positionService: DomService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private calculatePosition();
}
