import { OnInit, OnChanges } from '@angular/core';
import { ValidateSettings, ValidateLangs } from './validate.model';
import { OverwriteService } from '../../shared/services/overwrite.service';
export declare class ValidateComponent implements OnInit, OnChanges {
    private overwriteService;
    settings: ValidateSettings;
    langs: ValidateLangs;
    label: string;
    control: any;
    help: string;
    validated: boolean;
    protected defaultLangs: ValidateLangs;
    protected defaultSettings: ValidateSettings;
    constructor(overwriteService: OverwriteService);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    readonly errorClass: string;
    readonly errorLabel: string;
    getErrorMessage(name: string, value?: any): string;
}
